2009-09-08 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 8.4.1

2009-08-24 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD,INSTALL: fix

2009-08-22 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD: properly build extensions
	* INSTALL: properly install extensions; don't install default log file

2009-08-04 Remko van der Vossen <wich@sourcemage.org>
	* CONFIGURE: updated wiki link
	* DEPENDS: added zlib optional depends

2009-07-26 Elisamuel Resto <ryuji@sourcemage.org>
	* BUILD: filter -ffast-math from CFLAGS (Bug #15319)

2009-07-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.4.0
	* BUILD: specify --with-system-tzdata; add missing &&

2009-03-17 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 8.3.7, SECURITY_PATCH+=1

2009-03-03 Vlad Glagolev <stealth@sourcemage.org>
	* init.d/postgresql{,.conf}: pg_ctl doesn't support syslog logging

2009-02-06 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 8.3.6

2008-11-03 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 8.3.5; use primary mirror

2008-09-22 Arjan Bouter <abouter@sourcemage.org>
	* CONFIGURE: removed && to allow postgres to install for the 1st time

2008-09-20 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 8.3.4; fixed long description wrap; quoting
	  paths
	* CONFIGURE: added missing `&&'

2008-07-17 Remko van der Vossen <wich@sourcemage.org>
	* CONFIGURE: Warn the user they need to have a dump of their database
	  system when upgrading (downgrading) and query the user whether they
	  want to continue casting.
	* CONFIGURE: Update: only query when changing major version.
	* INSTALL, FINAL: Moved messages to FINAL so that they will appear after
	  staging the install into the system, otherwise the messages just get
	  lost in the stream of text scrolling by when staged install is
	  enabled. Changed the messages to refer to the HOWTO on the wiki.

2008-07-16 Remko van der Vossen <wich@sourcemage.org>
	* init.d/postgresql: Added a reload option

2008-07-15 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: Improved some of the descriptions

2008-07-01 David Kowis <dkowis@shlrm.org>
	* CONFIGURE: DELETED!
	* INSTALL: removed installing of folder. I removed it because it doesn't fail
	  installing without creating any database directory. It's not the spell 
	  author's fault if you don't know how to set up postgresql. I added some 
	  messages to help remind people as to what they need to do. That should 
	  be a good compromise.
	* FINAL: removed, as I covered that in the messages in INSTALL.

2008-06-19 Vlad Glagolev <stealth@sourcemage.org>
	* PREPARE, TRIGGERS, init.d/postgresql.conf: cleaned up
	* DEPENDS: added optional deps: readline, libxml2 (with libxslt), cleaned up
	* BUILD: moved creation of account here, added xml2 installation, made
	  openssl support _really_ optional, default_build ftw, no -ffast-math
	  anymore, no `--with-syslog' anymore, removed useless flags, left useful
	* PRE_BUILD: removed useless stuff, added correct patching if selected
	* DETAILS: added GATHER_DOCS, removed DOCS="", use $SPELL, moved
	  pgcluster patch info there, updated pgcluster patch to the latest version,
	  fixed short comment, removed useless var
	* INSTALL: removed useless spaces, message vars, replaced mkdir with
	  more proper install, don't chmod -R 0700 if there's already an
	  existing db, use default_install, added xml2 installation, made openssl
	  support _really_ optional, added notes about generating the keys
	* FINAL: use correct messages instead of plain echo, fixed the paths
	* CONFIGURE: added selection for database location
	* PREPARE: added warning about PGCluster patch
	* init.d/postgresql: restart() is useless, it's done automatically,
	  fixed `su' lines (taken from OpenBSD examples), removed useless
	  options (regarding to `pg_ctl --help')

2008-06-12 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 8.3.3
	* init.d/postgresql: updated

2008-03-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.3.1

2008-03-18 Elisamuel Resto <ryuji@sourcemage.org>
	* BUILD: cleanup, filter -ffast-math from CFLAGS

2008-03-09 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/postgresql: cleanup.
	  fix for su from latest coreutils

2008-02-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.3.0

2008-01-28 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* TRIGGERS: removed is_depends_enabled.function reference

2008-01-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 8.2.6, SECURITY_PATCH=5

2007-09-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 8.2.5

2007-09-02 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Updated for latest pgcluster patch.
	* pgcluster-1.7.0rc7.patch.tar.gz: Added latest patch
	* pgcluster-1.7.0rc3-patch.tar.gz: Removed old patch

2007-08-26 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: added missing optional dep on openldap
	* DETAILS: patchlevel++

2007-06-12 Arjan Bouter <abouter@sourcemage.org>
	* init.d/*: made the logfile optional
	* DETAILS: patchlevel++

2007-04-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 8.2.4, SECURITY_PATCH=4, CVE-2007-2138

2007-02-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.2.3
	  SECURITY_PATCH++
	  CVE-2007-0555 and CVE-2007-0556

2007-02-04 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 8.2.2, SECURITY_PATCH=2

2007-01-12 George Sherwood <george@beeranbeer.com>
	* DETAILS: Updated to version 8.2.1
	* PRE_BUILD: Updated pgcluster patch.
	* pgcluster-1.7.0rc1-patch.tar.gz: Removed.
	* pgcluster-1.7.0rc3-patch.tar.gz: Added.

2006-12-12 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 8.2.0.
	* PRE_BUILD: Updated pgcluster patch. Keep patch as a tarball.
	* pgcluster-1.5.0rc7-smgl.patch: Removed
	* pgcluster-1.7.0rc1-patch.tar.gz: Added

2006-11-12 Flavien Bridault <vlaaad@sourcemage.org>
	* TRIGGERS: Restored to get the trigger on linux-pam cast, use of
	  if_depends_enabled

2006-11-10 Flavien Bridault <vlaaad@sourcemage.org>
	* TRIGGERS: Removed, python upgrades are now handled in the python spell

2006-11-09 Arjan Bouter <abouter@sourcemage.org>
	* PREPARE, PRE_BUILD: added
	* pgcluster-1.5.0rc7-smgl.patch: added

2006-10-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 8.1.5
	* FINAL: removed 8.0.3 related message

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-05-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.1.4
	  SECURITY_PATCH
	  see http://www.postgresql.org/docs/techdocs.52

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-16 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 8.1.3

2006-01-06 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 8.1.2. Updated SOURCE_URL

2005-12-11 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 8.1.1

2005-11-13 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 8.1.0

2005-10-21 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/postgresql: specify "-s /bin/sh" in su commands
	  suggested by David Kowis

2005-10-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.0.4

2005-09-12 Sergey Lipnevich <sergey@sourcemage.org>
	* init.d/postgresql: use /usr/bin/postmaster so that `status' works; change
	  to data directory before starting postmaster, because default user
	  `postgres' doesn't have access to root's home directory which is the
	  directory used when init system runs; also quote all variables to avoid
	  any potential errors.

2005-05-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.0.3
	  major security fix
	* FINAL: display message describing security problem

2005-04-11 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: add --target.

2005-04-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 8.0.2
	  Shortened SHORT

2005-02-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 8.0.1

2005-01-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS, TRIGGERS: Linux-PAM renamed to linux-pam

2005-01-19 Eric Sandall <sandalle@sourcemage.org>
	* init.d/postgresql.conf: Added PORT (disabled by default)
	* init.d/postgresql: Enable network if PORT is defined

2005-01-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 8.0.0
	* BUILD INSTALL: updated

2004-12-16 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Python renamed to python
	  Removed quotes around spell names
	* TRIGGERS: Python renamed to python

2004-10-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.4.6

2004-08-20 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.4.5

2004-07-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: unixODBC renamed to unixodbc

2004-06-25 Treeve Jelbert <treeve@sourcemage.org>
	* POST_INSTALL: remove
	* FINAL: add

2004-06-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 7.4.3
	  BUILD_API=2
	* BUILD: strip
	  make crypto-plugins before install
	* INSTALL: add

2004-05-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: SOURCE_URLs 0 and 1 no longer work, removed

2004-03-15 Laurent Wandrebeck <lwandrebeck@sourcemage.org>
	* DETAILS: updated to 7.4.2

2004-02-27 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: create postgres account
	  fixes bug #5786
	* BUILD: use ${INSTALL_ROOT}
	  install docs and man to /usr/share/...
	  fixes bug #5553
	  change permissions on data directory
	  uses /var/lib/postgres/data
	  change message to reflect new location
	  remove 'unable to start message', as it is not true
	  fixes bugs #3698
	* DETAILS: add DOCS=""
	  prevents duplicate documentation

2004-01-10 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Looks like I got the wrong md5sum on that last update (thanks Jason!)...

2003-12-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.4.1 (Bug #5447)

2003-11-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.4

2003-11-02 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Added provides SQL

2003-10-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed first two SOURCE_URLs,
	  no longer valid
	* HISTORY: Cleaned to follow Guru Handbook

2003-09-16 Eric Schabell <eschabell@sourcemage.org>
	* init.d/postgresql.conf: Needs to point deeper to
	  data dir for startup.

2003-08-22 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update UPDATED purely for test grimoire integration.

2003-08-10 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Revert on_dispel Linux-PAM cast_self (doesn't work
	  the way it is documented)

2003-08-01 Sergey Lipnevich <sergey@sourcemage.org>
	* TRIGGERS: Add a trigger to cast after Python.

2003-07-31 Seth Woolley <seth@tautology.org>
	* init.d/postgresql: Fixed the init.d script

2003-07-31 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.3.4 (Bug #3870)

2003-07-30 Seth Woolley <seth@tautology.org>
	* DETAILS: init.d/postgresql: Updated to new init.d

2003-07-26 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Update for Linux-PAM

2003-05-22 Julian v. Bock <julian@wongr.net>
	* DETAILS: update SOURCE_URL.

2003-05-01 Rob Verkuylen <rob@verkuylen.net>
	* init.d/postgresql: Copied /init.d/prostgres.sh to /init.d/postgresql
	  Step 1/3 in bug#: 3115

2003-03-31 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Updated to use sorcery's init.d install
	* CONFIGURE: Removed, sorcery handles this now
	* init.d/postgres.sh: Moved to init.d/postgres.sh

2003-02-12 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 7.3.2.

2003-01-13 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 7.3.1.

2002-12-01 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS: Added Linux-PAM, unixODBC, openssl, krb5 to dependencies.
	  Added --enable-syslog to BUILD (syslog-type logging is
	  disabled by default, but this option makes it available).

2002-11-30 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 7.3.

2002-10-13 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Cleaned up DEPENDS to match standards (also needed
	  so I could compile without tcl/tk support ;))

2002-10-08 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 7.2.3.

2002-10-03 Julian v. Bock <julian@wongr.net>
	* DETAILS: add LICENSE and MD5 fields.

2002-09-22 Julian v. Bock <julian@wongr.net>
	* secfix.patch: add. Thanks to Steven Pinkham.
	* BUILD: apply patch; build always C++ interface; remove
	  bogus --with-libs option.
	* DEPENDS: add.

2002-08-27 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 7.2.2.

2002-07-30 Julian v. Bock <julian@wongr.net>
	* DETAILS: fix typos (thanks to Eric Sandall).

2002-06-11 Julian v. Bock <julian@wongr.net>
	* DETAILS: SOURCE_URL to official URL.

2002-04-16 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 7.2.1; use $VERSION in SOURCE_URL.
	  changes submitted by Wandrebeck Laurent <low@mren2.univ-littoral.fr>.

2002-01-28 kongar <anonymous@sourcemage.org>
	* added "make install-all-headers" line to BUILD script,
	  in order to install server side development headers, ie:
	  postgresql.h
